Function
multiLocalAlignment
Computes multiple local alignments of two sequences.
multiLocalAlignment(strSet, matches, scores, scType, numAlign, tag)
multiLocalAlignment(strSet, alignments, scores, scType, minScore, diagLow, diagHigh, tag)
Include Headers
seqan/graph_align.h
Parameters

strSet | A string set of 2 sequences. Types: StringSet
matches | The set of all local alignment matches.
scores | The respective local alignment score that match was coming from.
scType | A scoring object.
minScore | The minimal score of a local alignment.
diagHigh | The upmost diagonal that will be computed for banded alignment. Types: Score
numAlign | The desired number of local alignments to compute.
tag | A tag indicating the alignment algorithm to use Remarks: SmithWatermanClump or BandedSmithWatermanClump

Return Values
void
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48